# a52dec

Dolby Digital (AC-3) audio decoder.

## Example launch line

     gst-launch-1.0 dvdreadsrc title=1 ! mpegpsdemux ! a52dec ! audioconvert ! audioresample ! autoaudiosink

Play audio part of a dvd title.

     gst-launch-1.0 filesrc location=abc.ac3 ! ac3parse ! a52dec ! audioconvert ! audioresample ! autoaudiosink

Decode and play a stand alone AC-3 file.

## Hierarchy

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstElement
                    ╰──GstAudioDecoder
                        ╰──a52dec

## Factory details

Authors: – David I. Lehn

Classification: – `Codec/Decoder/Audio/Converter`

Rank – secondary

Plugin – a52dec

Package – GStreamer Ugly Plug-ins

## Pad Templates

### `sink`

    audio/x-ac3:
    audio/ac3:
    audio/x-private1-ac3:

Presence – always

Direction – sink

Object type – GstPad

### `src`

    audio/x-raw:
             format: F32LE
             layout: interleaved
               rate: [ 4000, 96000 ]
           channels: [ 1, 6 ]

Presence – always

Direction – src

Object type – GstPad

## Properties

### drc

    “drc” gboolean

Use Dynamic Range Compression

Flags : Read / Write

Default value : false

### lfe

    “lfe” gboolean

LFE

Flags : Read / Write

Default value : false

### mode

    “mode” GstA52DecMode *

Decoding Mode (default 3f2r)

Flags : Read / Write

Default value : (0)

## Named constants

### GstA52DecMode

#### Members

`mono` (1) – Mono
`stereo` (2) – Stereo
`3f` (3) – 3 Front
`2f1r` (4) – 2 Front, 1 Rear
`3f1r` (5) – 3 Front, 1 Rear
`2f2r` (6) – 2 Front, 2 Rear
`3f2r` (7) – 3 Front, 2 Rear
`dolby` (10) – Dolby

The results of the search are